#!/bin/bash

unset LANGUAGE
unset LANG
unset LC_LANG
unset LC_MESSAGES


ask()
{
	question="$1"
	default="$2"

	A=""
	while test -z "$A"; do
		if [ "$default" ]; then
			echo "$question" "[$default]" :
		else
			echo "$question" :
		fi
		read -e rep
		if [ "$rep" ]; then
			A="$rep"
		else
			A="$default"
		fi
	done
}


ask "Do you want to set up a cluster ?" y
if [ $A != y ]; then
	echo have_cluster=no > /etc/ka/ka.conf
else
	ask "What is the base name of your cluster nodes ?" node
	node_basename=$A

	ask "What is the number of your first node ?" 1
	first_node=$A

	ask "What is the number of your last node ?" 100
	last_node=$A

	t1=`printf "%s%d" $node_basename $first_node`
	t2=`printf "%s%06d" $node_basename $first_node`
	ask "What is the number format on your node names ? (printf style, i.e %d for $t1, %06d for $t2)" "%d"
	num_format="$A"


	cat > /etc/ka/ka.conf << EOF 
have_cluster=yes
node_basename=$node_basename

num_format=$num_format

first_node=$first_node
last_node=$last_node

EOF
fi


ip=`/sbin/ifconfig | grep -v 127.0.0.1 | grep "inet addr" | sed 's/^.*inet addr:\([^ ]*\) .*$/\1/g' | head -n 1`
echo
echo
echo "If you plan to install the nfsroot package on a non standard location (not this machine or not /tftpboot/ka/nfsroot)"
echo "or if the IP ($ip) I guessed is wrong"
ask "give the NFS path to be used" $ip:/tftpboot/ka/nfsroot

oldtpl=`cat /tftpboot/ka/pxelinux.cfg/template`
echo "$oldtpl" | sed "s#nfsroot=[^ ]*#nfsroot=$A#" > /tftpboot/ka/pxelinux.cfg/template

echo Now make sure you have a tftp server such as tftp-hpa running from directory /tftpboot
